{% extends 'Emails/base.html.twig' %}


{% block email_content %}
  <table align='center' bgcolor='#fff' border='0' cellpadding='0' cellspacing='0' id='backgroundTable'
         style='background: #fff;'>
    <tr>
      <td style="padding: 20px;line-height: 1.4;">
        <p>
          {% if user_name %}
            {{ 'email.pratica.dear'|trans({'%user_name%' : user_name}, null, locale )|raw }}
          {% elseif user_group_name %}
            {{ 'email.pratica.dear_user_group'|trans({'%user_group_name%' : user_group_name}, null, locale)|raw }}
          {% else %}
            {{ 'email.pratica.dear_operator'|trans({}, null, locale)|raw }}
          {% endif %}
        </p>
        <p>
          {% set statusChange = pratica.storicoStati | last %}
          {# modifico il messaggio solo se la l'ultimo cambio di stato è un'assegnazione ad altro operatore #}
          {% for change in statusChange %}
            {% if change[0] != 4000 or change[1] is not defined or change[1]['responsabile'] is not defined or (change[1]['responsabile'] and change[1]['operatore'] and change[1]['responsabile'] == change[1]['operatore']) %}
            {{ ('email.pratica.operatore.' ~ pratica.statusNameByCode(change[0])|replace({'_':'.'})|lower)|trans({'%user_pratica%': pratica.user.fullName, '%servizio%': pratica.servizio.name, '%protocollo%': pratica.numeroProtocollo}, null, locale)|raw }}
            {% else %}
              {{ ('email.pratica.operatore.status.assigned'|lower)|trans({'%assigner_user_name%': change[1]['responsabile'], '%user_pratica%': pratica.user.fullName, '%servizio%': pratica.servizio.name, '%protocollo%': pratica.numeroProtocollo}, null, locale)|raw }}
            {% endif %}
          {% endfor %}
        </p>
        {% if (pratica.servizio.isProtocolRequired and pratica.status >= 3000) or (not pratica.servizio.isProtocolRequired and pratica.status > 1900) %}
          <p>{{ 'email.pratica.link'|trans({}, null, locale) }} <a
              href="{{ absolute_url(path('operatori_show_pratica', {'pratica': pratica})) }}">{{ 'email.detail_application'|trans({}, null, locale) }}</a>
          </p>
        {% endif %}
      </td>
    </tr>
    <tr>
      <td style="padding: 20px">
        {% if pratica.id %}
          <p><b>{{ 'pratica.numero' | trans({}, null, locale) }}</b>: {{ pratica.id }}</p>
        {% endif %}
        {% if pratica.submissionTime %}
          <p><b>{{ 'pratica.data_di_presentazione' | trans({}, null, locale) }}</b>: {{ pratica.submissionTime | format_date( locale=locale) }}
          </p>
        {% endif %}
        {% if pratica.servizio.maxResponseTime %}
          <p>
            <b>{{ 'pratica.max_response_date' | trans({}, null, locale) }}</b>: {{ 'now' | date_modify('+' ~ (pratica.remainingResponseTime) ~ 'days') | format_date( locale=locale) }}
          </p>
        {% endif %}
      </td>
    </tr>
  </table>
{% endblock %}
